#loading-screen {
  position: fixed;
  inset: 0;
  z-index: 9999;

  display: flex;

  align-items: center;
  justify-content: center;

  background: #ffffff;
  color: #000000;

  animation: fadeOut 1s ease forwards;
  animation-delay: 1s; /* visible duration */

  
}

#loading-msg {
  display:flex;
  flex-wrap: wrap;
  width: fit-content;

  max-width: 90vw;
  margin: 0 auto;  
  gap: 12px;

  justify-content: center;
  align-items: center;
}

.loading-msg-item {

  min-width: 0;     /* REQUIRED for images/text */
  
 
}



/* Fade + disable interaction */
@keyframes fadeOut {
  to {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
  }
}